StatsHub Docs
Endpoint referenceTeam

/team

POST
/api/v2/team

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v2/team" \  -H "Content-Type: application/json" \  -d '{    "categoryId": 0,    "countrySlug": "string",    "foundationdate": "string",    "gender": "string",    "id": 0,    "name": "string",    "national": true,    "shortname": "string",    "slug": "string",    "teamcolorsprimary": "string",    "teamcolorssecondary": "string",    "teamcolorstext": "string",    "tournamentId": 0,    "usercount": 0,    "venueId": 0  }'
{  "$schema": "https://example.com/schemas/TeamCreateCreatedBody.json",  "message": "string",  "team": {    "categoryId": 0,    "countrySlug": "string",    "foundationdate": "string",    "gender": "string",    "id": 0,    "internalId": 0,    "name": "string",    "national": true,    "shortname": "string",    "slug": "string",    "teamcolorsprimary": "string",    "teamcolorssecondary": "string",    "teamcolorstext": "string",    "tournamentId": 0,    "usercount": 0,    "venueId": 0  }}